<!DOCTYPE html>

<html lang="en" data-content_root="../../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>cellgain &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../../_static/alabaster.css?v=cb25574f" />
    <script src="../../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../../_static/doctools.js?v=888ff710"></script>
    <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="gain" href="gain.html" />
    <link rel="prev" title="preampgain" href="preampgain.html" />
   
  <link rel="stylesheet" href="../../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="module-cmos.cellgain.cellgain_acquisition">
<span id="cellgain"></span><h1>cellgain<a class="headerlink" href="#module-cmos.cellgain.cellgain_acquisition" title="Link to this heading">¶</a></h1>
<section id="cellgain-acquisition-module">
<h2>cellgain acquisition module<a class="headerlink" href="#cellgain-acquisition-module" title="Link to this heading">¶</a></h2>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Author</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Benoit Serra</p></td>
<td><p>cellgain</p></td>
<td><p>%(date)</p></td>
</tr>
</tbody>
</table>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Contributor</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Name</p></td>
<td><p>filename</p></td>
<td><p>06/21/2019</p></td>
</tr>
</tbody>
</table>
<p>This is a documentation template for the cellgain acquisition module.
Documentation is generated going into docs/ and typing ‘make html’</p>
<p>This module can be found in pydecha/modules/cellgain/cellgain_acquisition.py.
Please modify the docstrings accordingly to provide the users a simple and
detailed explanation of your algorithm for this module.</p>
<section id="table-examples">
<h3>Table examples<a class="headerlink" href="#table-examples" title="Link to this heading">¶</a></h3>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Table entries</p></th>
<th class="head"><p>Table values</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>Entry 1</p></td>
<td><p>Value 1</p></td>
</tr>
<tr class="row-odd"><td><p>Entry 2</p></td>
<td><p>Value 2</p></td>
</tr>
<tr class="row-even"><td><p>Entry 3</p></td>
<td><p>Value 3</p></td>
</tr>
<tr class="row-odd"><td><p>Entry 4</p></td>
<td><p>Value 4</p></td>
</tr>
<tr class="row-even"><td><p>Entry 5</p></td>
<td><p>Value 5</p></td>
</tr>
</tbody>
</table>
<table class="docutils align-default">
<thead>
<tr class="row-odd"><th class="head"><p>Header row, column 1
(header rows optional)</p></th>
<th class="head"><p>Header 2</p></th>
<th class="head"><p>Header 3</p></th>
<th class="head"><p>Header 4</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p>body row 1, column 1</p></td>
<td><p>column 2</p></td>
<td><p>column 3</p></td>
<td><p>column 4</p></td>
</tr>
<tr class="row-odd"><td><p>body row 2</p></td>
<td colspan="3"><p>Cells may span columns.</p></td>
</tr>
<tr class="row-even"><td><p>body row 3</p></td>
<td rowspan="2"><p>Cells may
span rows.</p></td>
<td colspan="2" rowspan="2"><ul class="simple">
<li><p>Table cells</p></li>
<li><p>contain</p></li>
<li><p>body elements.</p></li>
</ul>
</td>
</tr>
<tr class="row-odd"><td><p>body row 4</p></td>
</tr>
<tr class="row-even"><td><p>body row 5</p></td>
<td colspan="2"><p>Cells may also be
empty: <code class="docutils literal notranslate"><span class="pre">--&gt;</span></code></p></td>
<td></td>
</tr>
</tbody>
</table>
</section>
<section id="code-example">
<h3>Code example<a class="headerlink" href="#code-example" title="Link to this heading">¶</a></h3>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">sys</span>

<span class="nb">print</span><span class="p">(</span><span class="s1">&#39;Hello world...&#39;</span><span class="p">)</span>
</pre></div>
</div>
<div class="highlight-python notranslate"><div class="highlight"><pre><span></span><span class="linenos">1</span><span class="kn">from</span> <span class="nn">classes.acquisition_module</span> <span class="kn">import</span> <span class="n">acquisition</span>
<span class="linenos">2</span>
<span class="linenos">3</span>
<span class="linenos">4</span><span class="c1"># METHODS &amp; CLASSES</span>
</pre></div>
</div>
</section>
<section id="useful-links">
<h3>Useful links<a class="headerlink" href="#useful-links" title="Link to this heading">¶</a></h3>
<p>ReadTheDocs documentation
<a class="reference external" href="https://sphinx-rtd-theme.readthedocs.io/en/latest/index.html">https://sphinx-rtd-theme.readthedocs.io/en/latest/index.html</a></p>
<div class="admonition-todo admonition" id="id1">
<p class="admonition-title">Todo</p>
<p>Write the documentation for cellgain</p>
</div>
</section>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="cmos.cellgain.cellgain_acquisition.module">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">cmos.cellgain.cellgain_acquisition.</span></span><span class="sig-name descname"><span class="pre">module</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">module_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">yaml_dict</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#cmos.cellgain.cellgain_acquisition.module" title="Link to this definition">¶</a></dt>
<dd><p>Example class with documented types</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>None</strong> – analysis module initialize with the parameters from the yaml conf. file</p>
</dd>
<dt class="field-even">Return None<span class="colon">:</span></dt>
<dd class="field-even"><p>The return value. Nothing for now…</p>
</dd>
</dl>
</dd></dl>

<section id="cellgain-analysis-module">
<span id="module-cmos.cellgain.cellgain_analysis"></span><h2>cellgain analysis module<a class="headerlink" href="#cellgain-analysis-module" title="Link to this heading">¶</a></h2>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Author</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Benoit Serra</p></td>
<td><p>cell gain</p></td>
<td><p>Mon Jun 17 15:29:35 2019</p></td>
</tr>
</tbody>
</table>
<table class="docutils align-default">
<tbody>
<tr class="row-odd"><td><p>Contributor</p></td>
<td><p>Name</p></td>
<td><p>Creation</p></td>
</tr>
<tr class="row-even"><td><p>Domingo Alvarez</p></td>
<td><p>H4RG-Analysis_PixelCellGain.ipynb</p></td>
<td><p>06/18/2019</p></td>
</tr>
</tbody>
</table>
<p>This module can be found in pydecha/modules/cellgain/cellgain_analysis.py.
Please modify the docstrings accordingly to provide the users a simple and
detailed explanation of your algorithm for this module.</p>
<section id="id2">
<h3>Cellgain<a class="headerlink" href="#id2" title="Link to this heading">¶</a></h3>
<p>The cell gain defines the conversion rate between a voltage variation of VReset
(and hence the number of charges generated by the pixel) and the voltage as
input of the ADC.</p>
</section>
<section id="data-acquisition">
<h3>Data acquisition<a class="headerlink" href="#data-acquisition" title="Link to this heading">¶</a></h3>
<p>To measure the cell gain, the value of VReset for the pixel must be kept constant.
In order to ensure a constant VReset, the RESETEN clock low was set close to
its high value (3.1 V). This value is close enough to the high value of the other
rail, effectively forcing the Pixel Cell to be constantly reseted while reading.</p>
<p>Then, the VReset value is scanned from 0.3 V to 0.9 V by steps of 0.05 V.
Correspondingly, the DSub values have been kept 0.25 V higher than VReset.</p>
</section>
<section id="computation">
<h3>Computation<a class="headerlink" href="#computation" title="Link to this heading">¶</a></h3>
<p>The resulting frame is in Digital Number (DN). This digtial value is the result
of the Analogic to Digital Converter of the NGC.
The ADCs used with the NGC encode the data into 16 bits and have a voltage
range of approx. 8 V [-4.096, 4.096]. It is then possible to convert the data
units from Digital Number to Volts.</p>
<p>All the data extraction is done to a Pandas Dataframe. The extracted data is
the full image mean value, from which the voltage at the ADC entrace is
calculated and the telemetry value of the VRESET provided by NGC. Additionally,
the FITS files timestamps is included in the rows of the dataframe.</p>
</section>
<section id="plots">
<h3>Plots<a class="headerlink" href="#plots" title="Link to this heading">¶</a></h3>
<section id="linear-fit-to-the-data">
<h4>Linear fit to the data<a class="headerlink" href="#linear-fit-to-the-data" title="Link to this heading">¶</a></h4>
<p>The average value of the array versus the VReset value is then plotted.
Using Numpy and a polynomial fit of first order, the cell gain is then obtained
using the data extracted from the dataframe.</p>
<div class="admonition-todo admonition" id="id3">
<p class="admonition-title">Todo</p>
<p>Plot the variation of the photodiode bias in respect to the VReset value</p>
</div>
</section>
</section>
<section id="analysis-block">
<h3>Analysis block<a class="headerlink" href="#analysis-block" title="Link to this heading">¶</a></h3>
</section>
</section>
<dl class="py class">
<dt class="sig sig-object py" id="cmos.cellgain.cellgain_analysis.module">
<em class="property"><span class="pre">class</span><span class="w"> </span></em><span class="sig-prename descclassname"><span class="pre">cmos.cellgain.cellgain_analysis.</span></span><span class="sig-name descname"><span class="pre">module</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">module_name</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">yaml_dict</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#cmos.cellgain.cellgain_analysis.module" title="Link to this definition">¶</a></dt>
<dd><p>Cell gain analysis block</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>(</strong><strong>str</strong><strong>)</strong> (<em>module_name</em>) – Name of the module as string.</p></li>
<li><p><strong>(</strong><strong>dict</strong><strong>)</strong> (<em>yaml_dict</em>) – full dictionnary of the config file.</p></li>
</ul>
</dd>
<dt class="field-even">Return clean_output()<span class="colon">:</span></dt>
<dd class="field-even"><p>a cleaned dictionnary with the parameters saved</p>
</dd>
</dl>
<p>The cellgain analysis requires the following parameters in the configuration
file:</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><ul class="simple">
<li><p><strong>(</strong><strong>str</strong><strong>)</strong> (<em>data_path</em>) – absolute path of where the data is.</p></li>
<li><p><strong>(</strong><strong>dict</strong><strong>)</strong> (<em>fit</em>) – information of the ADC [bits (int), range (list)].</p></li>
<li><p><strong>(</strong><strong>dict</strong><strong>)</strong> – fit parameters [fit_start (int), fit_stop (int), fit_unit (str)]</p></li>
</ul>
</dd>
</dl>
</dd></dl>

</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/pydecha.html">PYDECHA</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../introduction/first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../modules_cmos.html">Modules CMOS</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="monitoring.html">monitoring</a></li>
<li class="toctree-l2"><a class="reference internal" href="noise.html">noise</a></li>
<li class="toctree-l2"><a class="reference internal" href="preampgain.html">preampgain</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">cellgain</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#cellgain-acquisition-module">cellgain acquisition module</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#table-examples">Table examples</a></li>
<li class="toctree-l4"><a class="reference internal" href="#code-example">Code example</a></li>
<li class="toctree-l4"><a class="reference internal" href="#useful-links">Useful links</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#cmos.cellgain.cellgain_acquisition.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="#cellgain-analysis-module">cellgain analysis module</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#id2">Cellgain</a></li>
<li class="toctree-l4"><a class="reference internal" href="#data-acquisition">Data acquisition</a></li>
<li class="toctree-l4"><a class="reference internal" href="#computation">Computation</a></li>
<li class="toctree-l4"><a class="reference internal" href="#plots">Plots</a><ul>
<li class="toctree-l5"><a class="reference internal" href="#linear-fit-to-the-data">Linear fit to the data</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="#analysis-block">Analysis block</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="#cmos.cellgain.cellgain_analysis.module"><code class="docutils literal notranslate"><span class="pre">module</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gain.html">gain</a></li>
<li class="toctree-l2"><a class="reference internal" href="cosmetics.html">cosmetics</a></li>
</ul>
</li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../about/acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/changelog.html">Change log</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/faq.html">FAQ</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../about/references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../index.html">Documentation overview</a><ul>
  <li><a href="../modules_cmos.html">Modules CMOS</a><ul>
      <li>Previous: <a href="preampgain.html" title="previous chapter">preampgain</a></li>
      <li>Next: <a href="gain.html" title="next chapter">gain</a></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../../_sources/modules/modules_cmos/cellgain.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>